From e08b2f92180d0fb496ed3fd8ce015c1a0493944b Mon Sep 17 00:00:00 2001
From: Cyril Jouve <jv.cyril@gmail.com>
Date: Fri, 28 Aug 2020 18:15:52 +0200
Subject: [PATCH 1/7] Replaces deprecated unittest method names with the
 correct ones.

---
 .../servers/databases/casts/tests/utils.py       |  4 ++--
 .../tests/test_event_trigger_add.py              |  2 +-
 .../tests/test_event_trigger_delete.py           |  2 +-
 .../tests/test_event_trigger_delete_multiple.py  |  2 +-
 .../test_event_trigger_dependancy_dependent.py   |  2 +-
 .../tests/test_event_trigger_functions.py        |  2 +-
 .../tests/test_event_trigger_get.py              |  4 ++--
 .../tests/test_event_trigger_put.py              |  2 +-
 .../tests/test_event_trigger_sql.py              |  2 +-
 .../extensions/tests/test_extension_add.py       |  2 +-
 .../extensions/tests/test_extension_delete.py    |  2 +-
 .../tests/test_extension_delete_multiple.py      |  2 +-
 .../extensions/tests/test_extension_get.py       |  2 +-
 .../extensions/tests/test_extension_put.py       |  2 +-
 .../tests/test_external_tables_module.py         |  4 ++--
 .../tests/test_external_tables_view.py           |  4 ++--
 .../tests/test_foreign_servers_add.py            |  2 +-
 .../tests/test_foreign_servers_delete.py         |  2 +-
 .../test_foreign_servers_delete_multiple.py      |  2 +-
 .../test_foreign_servers_dependent_dependency.py |  2 +-
 .../tests/test_foreign_servers_get.py            |  2 +-
 .../tests/test_foreign_servers_msql.py           |  2 +-
 .../tests/test_foreign_servers_node.py           |  2 +-
 .../tests/test_foreign_servers_put.py            |  2 +-
 .../tests/test_foreign_servers_sql.py            |  2 +-
 .../user_mappings/tests/test_user_mapping_add.py |  2 +-
 .../tests/test_user_mapping_delete.py            |  2 +-
 .../tests/test_user_mapping_delete_multiple.py   |  2 +-
 .../test_user_mapping_dependent_dependency.py    |  2 +-
 .../user_mappings/tests/test_user_mapping_get.py |  2 +-
 .../tests/test_user_mapping_msql.py              |  2 +-
 .../tests/test_user_mapping_node.py              |  2 +-
 .../user_mappings/tests/test_user_mapping_put.py |  2 +-
 .../user_mappings/tests/test_user_mapping_sql.py |  2 +-
 .../foreign_data_wrappers/tests/test_fdw_add.py  |  2 +-
 .../tests/test_fdw_delete.py                     |  2 +-
 .../tests/test_fdw_delete_multiple.py            |  2 +-
 .../tests/test_fdw_dependency_dependent.py       |  2 +-
 .../tests/test_fdw_get-handlers.py               |  2 +-
 .../foreign_data_wrappers/tests/test_fdw_get.py  |  2 +-
 .../tests/test_fdw_get_nodes.py                  |  2 +-
 .../tests/test_fdw_get_validators.py             |  2 +-
 .../foreign_data_wrappers/tests/test_fdw_msql.py |  2 +-
 .../foreign_data_wrappers/tests/test_fdw_put.py  |  2 +-
 .../foreign_data_wrappers/tests/test_fdw_sql.py  |  2 +-
 .../languages/tests/test_language_add.py         |  2 +-
 .../languages/tests/test_language_delete.py      |  2 +-
 .../tests/test_language_delete_multiple.py       |  2 +-
 .../languages/tests/test_language_dependency.py  |  2 +-
 .../languages/tests/test_language_dependent.py   |  2 +-
 .../languages/tests/test_language_get.py         |  4 ++--
 .../test_language_get_function_and_template.py   |  2 +-
 .../languages/tests/test_language_put.py         |  2 +-
 .../languages/tests/test_language_sql.py         |  2 +-
 .../collations/tests/test_collation_add.py       |  2 +-
 .../collations/tests/test_collation_delete.py    |  2 +-
 .../tests/test_collation_delete_multiple.py      |  2 +-
 .../tests/test_collation_dependency_dependent.py |  2 +-
 .../collations/tests/test_collation_get.py       |  2 +-
 .../test_collation_get_collation_function.py     |  2 +-
 .../collations/tests/test_collation_get_nodes.py |  2 +-
 .../collations/tests/test_collation_put.py       |  2 +-
 .../collations/tests/test_collation_sql.py       |  2 +-
 .../tests/test_domain_constraints_add.py         |  2 +-
 .../tests/test_domain_constraints_delete.py      |  2 +-
 .../test_domain_constraints_delete_multiple.py   |  2 +-
 .../tests/test_domain_constraints_dependents.py  |  2 +-
 .../tests/test_domain_constraints_get.py         |  2 +-
 .../tests/test_domain_constraints_msql.py        |  2 +-
 .../tests/test_domain_constraints_node.py        |  2 +-
 .../tests/test_domain_constraints_put.py         |  2 +-
 .../tests/test_domain_constraints_sql.py         |  2 +-
 .../schemas/domains/tests/test_domain_add.py     |  2 +-
 .../schemas/domains/tests/test_domain_delete.py  |  2 +-
 .../domains/tests/test_domain_delete_multiple.py |  2 +-
 .../tests/test_domain_dependent_dependency.py    |  2 +-
 .../schemas/domains/tests/test_domain_get.py     |  2 +-
 .../domains/tests/test_domain_get_collations.py  |  2 +-
 .../domains/tests/test_domain_get_node.py        |  2 +-
 .../domains/tests/test_domain_get_types_func.py  |  2 +-
 .../schemas/domains/tests/test_domain_msql.py    |  2 +-
 .../schemas/domains/tests/test_domain_put.py     |  2 +-
 .../schemas/domains/tests/test_domain_sql.py     |  8 ++++----
 .../tests/test_foreign_table_add.py              |  2 +-
 .../tests/test_foreign_table_delete.py           |  2 +-
 .../tests/test_foreign_table_delete_multiple.py  |  2 +-
 .../tests/test_foreign_table_get.py              |  2 +-
 .../tests/test_foreign_table_put.py              |  2 +-
 .../tests/test_fts_configuration_add.py          |  2 +-
 .../tests/test_fts_configuration_copyConfig.py   |  2 +-
 .../tests/test_fts_configuration_delete.py       |  4 ++--
 .../test_fts_configuration_delete_multiple.py    |  2 +-
 ...est_fts_configuration_dependency_dependent.py |  2 +-
 .../tests/test_fts_configuration_get.py          |  2 +-
 .../test_fts_configuration_get_dictionaries.py   |  2 +-
 .../tests/test_fts_configuration_get_nodes.py    |  2 +-
 .../tests/test_fts_configuration_get_sql.py      |  2 +-
 .../tests/test_fts_configuration_parsers.py      |  2 +-
 .../tests/test_fts_configuration_put.py          |  8 ++++----
 .../tests/test_fts_configuration_tokens.py       |  2 +-
 .../tests/test_fts_dictionaries_add.py           |  2 +-
 .../tests/test_fts_dictionaries_delete.py        |  4 ++--
 .../test_fts_dictionaries_delete_multiple.py     |  2 +-
 ...test_fts_dictionaries_dependency_dependent.py |  2 +-
 .../test_fts_dictionaries_fetch_templates.py     |  2 +-
 .../tests/test_fts_dictionaries_get.py           |  2 +-
 .../tests/test_fts_dictionaries_get_nodes.py     |  2 +-
 .../tests/test_fts_dictionaries_put.py           |  4 ++--
 .../fts_parsers/tests/test_fts_parser_add.py     |  2 +-
 .../fts_parsers/tests/test_fts_parser_delete.py  |  4 ++--
 .../tests/test_fts_parser_delete_multiple.py     |  2 +-
 .../test_fts_parser_dependency_dependent.py      |  2 +-
 .../tests/test_fts_parser_end_functions.py       |  2 +-
 .../fts_parsers/tests/test_fts_parser_get.py     |  2 +-
 .../tests/test_fts_parser_get_nodes.py           |  2 +-
 .../tests/test_fts_parser_head_line_functions.py |  2 +-
 .../tests/test_fts_parser_lextype_functions.py   |  2 +-
 .../fts_parsers/tests/test_fts_parser_put.py     |  2 +-
 .../tests/test_fts_parser_start_functions.py     |  2 +-
 .../tests/test_fts_parser_token_functions.py     |  2 +-
 .../test_fts_template_dependency_dependent.py    |  2 +-
 .../tests/test_fts_template_get_init.py          |  2 +-
 .../tests/test_fts_template_get_lexize.py        |  2 +-
 .../tests/test_fts_template_get_nodes.py         |  2 +-
 .../tests/test_fts_templates_add.py              |  2 +-
 .../tests/test_fts_templates_delete.py           |  4 ++--
 .../tests/test_fts_templates_delete_multiple.py  |  2 +-
 .../tests/test_fts_templates_get.py              |  2 +-
 .../tests/test_fts_templates_put.py              |  4 ++--
 .../schemas/functions/tests/test_function_add.py |  2 +-
 .../functions/tests/test_function_delete.py      |  2 +-
 .../tests/test_function_delete_multiple.py       |  2 +-
 .../schemas/functions/tests/test_function_get.py |  2 +-
 .../schemas/functions/tests/test_function_put.py |  2 +-
 .../functions/tests/test_procedure_add.py        |  2 +-
 .../functions/tests/test_procedure_delete.py     |  2 +-
 .../tests/test_procedure_delete_multiple.py      |  2 +-
 .../functions/tests/test_procedure_exec_sql.py   |  4 ++--
 .../functions/tests/test_procedure_get.py        |  2 +-
 .../functions/tests/test_procedure_put.py        |  2 +-
 .../functions/tests/test_trigger_func_add.py     |  2 +-
 .../functions/tests/test_trigger_func_delete.py  |  2 +-
 .../tests/test_trigger_func_delete_multiple.py   |  2 +-
 .../functions/tests/test_trigger_func_get.py     |  2 +-
 .../functions/tests/test_trigger_func_put.py     |  2 +-
 .../edbfuncs/tests/test_package_edbfuncs_get.py  | 14 +++++++-------
 .../schemas/packages/tests/test_package_add.py   |  2 +-
 .../packages/tests/test_package_delete.py        |  2 +-
 .../tests/test_package_delete_multiple.py        |  2 +-
 .../schemas/packages/tests/test_package_get.py   |  2 +-
 .../schemas/packages/tests/test_package_put.py   |  2 +-
 .../schemas/sequences/tests/test_sequence_add.py |  2 +-
 .../sequences/tests/test_sequence_delete.py      |  2 +-
 .../tests/test_sequence_delete_multiple.py       |  2 +-
 .../schemas/sequences/tests/test_sequence_get.py |  2 +-
 .../schemas/sequences/tests/test_sequence_put.py |  2 +-
 .../schemas/synonyms/tests/test_synonym_add.py   |  2 +-
 .../synonyms/tests/test_synonym_delete.py        |  2 +-
 .../tests/test_synonym_delete_multiple.py        |  2 +-
 .../schemas/synonyms/tests/test_synonym_get.py   |  2 +-
 .../schemas/synonyms/tests/test_synonym_put.py   |  2 +-
 .../tables/columns/tests/test_column_msql.py     |  2 +-
 .../tests/test_compound_triggers_add.py          |  2 +-
 .../tests/test_compound_triggers_delete.py       |  2 +-
 .../test_compound_triggers_delete_multiple.py    |  2 +-
 .../tests/test_compound_triggers_get.py          |  4 ++--
 .../tests/test_compound_triggers_put.py          |  2 +-
 .../schemas/tables/indexes/tests/utils.py        |  4 ++--
 .../row_security_policies/tests/test_rls_add.py  |  2 +-
 .../tests/test_rls_delete.py                     |  2 +-
 .../tests/test_rls_delete_multiple.py            |  2 +-
 .../row_security_policies/tests/test_rls_get.py  |  2 +-
 .../row_security_policies/tests/test_rls_put.py  |  2 +-
 .../schemas/tables/rules/tests/test_rules_add.py |  2 +-
 .../tables/rules/tests/test_rules_delete.py      |  2 +-
 .../rules/tests/test_rules_delete_multiple.py    |  2 +-
 .../schemas/tables/rules/tests/test_rules_get.py |  2 +-
 .../schemas/tables/rules/tests/test_rules_put.py |  2 +-
 .../tables/tests/test_column_privileges_put.py   |  2 +-
 .../schemas/tables/tests/test_table_add.py       |  2 +-
 .../schemas/tables/tests/test_table_delete.py    |  2 +-
 .../tables/tests/test_table_delete_multiple.py   |  2 +-
 .../schemas/tables/tests/test_table_get.py       |  2 +-
 .../tables/tests/test_table_parameters.py        |  2 +-
 .../schemas/tables/tests/test_table_put.py       |  2 +-
 .../tables/triggers/tests/test_triggers_add.py   |  2 +-
 .../triggers/tests/test_triggers_delete.py       |  2 +-
 .../tests/test_triggers_delete_multiple.py       |  2 +-
 .../tables/triggers/tests/test_triggers_get.py   |  4 ++--
 .../tables/triggers/tests/test_triggers_put.py   |  2 +-
 .../databases/schemas/tests/test_schema_add.py   |  2 +-
 .../schemas/tests/test_schema_delete.py          |  2 +-
 .../schemas/tests/test_schema_delete_multiple.py |  2 +-
 .../schemas/tests/test_schema_dependents.py      |  2 +-
 .../databases/schemas/tests/test_schema_get.py   |  2 +-
 .../schemas/tests/test_schema_get_children.py    |  2 +-
 .../databases/schemas/tests/test_schema_node.py  |  2 +-
 .../databases/schemas/tests/test_schema_put.py   |  2 +-
 .../databases/schemas/tests/test_schema_sql.py   |  2 +-
 .../schemas/types/tests/test_types_add.py        |  2 +-
 .../schemas/types/tests/test_types_delete.py     |  2 +-
 .../types/tests/test_types_delete_multiple.py    |  2 +-
 .../tests/test_types_dependency_dependent.py     |  2 +-
 .../schemas/types/tests/test_types_get.py        |  2 +-
 .../types/tests/test_types_get_collations.py     |  2 +-
 .../tests/test_types_get_external_functions.py   |  2 +-
 .../schemas/types/tests/test_types_get_stypes.py |  2 +-
 .../types/tests/test_types_get_stypes_opclass.py |  2 +-
 .../types/tests/test_types_get_subtype_diff.py   |  2 +-
 .../schemas/types/tests/test_types_get_types.py  |  2 +-
 .../schemas/types/tests/test_types_msql.py       |  2 +-
 .../schemas/types/tests/test_types_nodes.py      |  2 +-
 .../schemas/types/tests/test_types_put.py        |  2 +-
 .../schemas/types/tests/test_types_sql.py        |  2 +-
 .../views/tests/test_mviews_parameters.py        |  2 +-
 .../schemas/views/tests/test_mviews_refresh.py   |  6 +++---
 .../schemas/views/tests/test_views_add.py        |  2 +-
 .../schemas/views/tests/test_views_delete.py     |  2 +-
 .../views/tests/test_views_delete_multiple.py    |  2 +-
 .../schemas/views/tests/test_views_get.py        |  2 +-
 .../schemas/views/tests/test_views_put.py        |  2 +-
 .../servers/databases/tests/test_db_add.py       |  2 +-
 .../servers/databases/tests/test_db_delete.py    |  2 +-
 .../databases/tests/test_db_delete_multiple.py   |  2 +-
 .../servers/databases/tests/test_db_get.py       |  2 +-
 .../servers/databases/tests/test_db_put.py       |  2 +-
 .../servers/pgagent/tests/test_pgagent_add.py    |  2 +-
 .../servers/pgagent/tests/test_pgagent_delete.py |  2 +-
 .../tests/test_pgagent_delete_multiple.py        |  2 +-
 .../servers/pgagent/tests/test_pgagent_put.py    |  2 +-
 .../pgagent/tests/tests_pgagent_add_schedule.py  |  2 +-
 .../pgagent/tests/tests_pgagent_add_steps.py     |  2 +-
 .../tests_pgagent_delete_multiple_schedules.py   |  2 +-
 .../tests/tests_pgagent_delete_multiple_steps.py |  2 +-
 .../tests/tests_pgagent_delete_schedule.py       |  2 +-
 .../pgagent/tests/tests_pgagent_delete_steps.py  |  2 +-
 .../servers/pgagent/tests/tests_pgagent_get.py   |  2 +-
 .../pgagent/tests/tests_pgagent_put_schedule.py  |  2 +-
 .../pgagent/tests/tests_pgagent_put_step.py      |  2 +-
 .../servers/pgagent/tests/tests_pgagent_stats.py |  2 +-
 .../tests/test_resource_groups_add.py            |  2 +-
 .../tests/test_resource_groups_delete.py         |  2 +-
 .../test_resource_groups_delete_multiple.py      |  2 +-
 .../tests/test_resource_groups_put.py            |  2 +-
 .../tests/tests_resource_groups_get.py           |  2 +-
 .../servers/roles/tests/test_role_add.py         |  2 +-
 .../servers/roles/tests/test_role_delete.py      |  2 +-
 .../roles/tests/test_role_delete_multiple.py     |  2 +-
 .../servers/roles/tests/test_role_get.py         |  2 +-
 .../servers/roles/tests/test_role_put.py         |  2 +-
 .../tablespaces/tests/test_backend_supported.py  |  2 +-
 .../servers/tablespaces/tests/test_tbspc_add.py  |  2 +-
 .../tablespaces/tests/test_tbspc_delete.py       |  4 ++--
 .../servers/tablespaces/tests/test_tbspc_get.py  |  2 +-
 .../servers/tablespaces/tests/test_tbspc_put.py  |  2 +-
 .../test_add_server_with_connect_timeout.py      |  2 +-
 .../tests/test_add_server_with_service_id.py     |  2 +-
 .../tests/test_add_server_with_ssh_tunnel.py     |  2 +-
 .../servers/tests/test_check_ssl_connection.py   |  2 +-
 .../servers/tests/test_is_valid_address.py       |  2 +-
 .../servers/tests/test_server_add.py             |  6 +++---
 .../servers/tests/test_server_delete.py          |  2 +-
 .../servers/tests/test_server_get.py             |  2 +-
 .../servers/tests/test_server_put.py             |  2 +-
 .../browser/tests/test_change_password.py        |  4 ++--
 .../browser/tests/test_master_password.py        | 14 +++++++-------
 .../dashboard/tests/test_dashboard_graphs.py     |  6 +++---
 .../pg_utilities_backup_restore_test.py          |  4 ++--
 .../pg_utilities_maintenance_test.py             |  6 +++---
 .../feature_tests/view_data_dml_queries.py       |  4 ++--
 .../test_check_utility_exists_route_backup.py    |  4 ++--
 .../tests/test_grant_wizard_get_acl.py           |  2 +-
 .../tests/test_grant_wizard_get_properties.py    |  2 +-
 .../tests/test_grant_wizard_get_sql.py           |  2 +-
 .../tests/test_grant_wizard_save_permissions.py  |  2 +-
 ...t_check_utility_exists_route_import_export.py |  4 ++--
 ...est_check_utility_exists_route_maintenance.py |  4 ++--
 .../test_check_utility_exists_route_restore.py   |  4 ++--
 .../schema_diff/tests/test_schema_diff_comp.py   |  8 ++++----
 .../search_objects/tests/test_api_search.py      |  4 ++--
 .../tools/search_objects/tests/test_api_types.py |  4 ++--
 .../tests/test_search_objects_helper.py          | 10 +++++-----
 .../tests/test_download_csv_query_tool.py        | 12 ++++++------
 .../tools/sqleditor/tests/test_editor_history.py | 14 +++++++-------
 .../sqleditor/tests/test_encoding_charset.py     | 10 +++++-----
 .../tools/sqleditor/tests/test_explain_plan.py   | 10 +++++-----
 .../test_extract_sql_from_network_parameters.py  |  2 +-
 .../sqleditor/tests/test_poll_query_tool.py      |  8 ++++----
 .../sqleditor/tests/test_start_query_tool.py     |  4 ++--
 .../sqleditor/tests/test_transaction_status.py   | 14 +++++++-------
 .../tools/sqleditor/tests/test_view_data.py      | 10 +++++-----
 .../tests/test_apply_explain_plan_wrapper.py     |  2 +-
 .../utils/tests/test_filter_dialog_callbacks.py  |  4 ++--
 .../tests/test_is_query_resultset_updatable.py   | 12 ++++++------
 .../utils/tests/test_save_changed_data.py        | 10 +++++-----
 .../utils/tests/test_start_running_query.py      |  4 ++--
 .../utils/tests/test_compile_template_name.py    |  2 +-
 web/pgadmin/utils/tests/test_encoding.py         |  2 +-
 web/regression/python_test_utils/test_utils.py   |  4 ++--
 web/regression/re_sql/tests/test_resql.py        | 16 ++++++++--------
 300 files changed, 410 insertions(+), 410 deletions(-)

diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/utils.py
index 68f9da2cb..c332a327d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/utils.py
@@ -121,13 +121,13 @@ def get_database_connection(self):
 def assert_status_code(self, response):
     act_res = response.status_code
     exp_res = self.expected_data["status_code"]
-    return self.assertEquals(act_res, exp_res)
+    return self.assertEqual(act_res, exp_res)
 
 
 def assert_error_message(self, response):
     act_res = response.json["errormsg"]
     exp_res = self.expected_data["error_msg"]
-    return self.assertEquals(act_res, exp_res)
+    return self.assertEqual(act_res, exp_res)
 
 
 def assert_cast_created(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py
index 4ffca944a..2f152b7fe 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py
@@ -122,7 +122,7 @@ class EventTriggerAddTestCase(BaseTestGenerator):
                 actual_response_code = response.status_code
                 expected_response_code = self.expected_data['status_code']
 
-            self.assertEquals(actual_response_code, expected_response_code)
+            self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py
index bca67dccc..031a1b725 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py
@@ -115,7 +115,7 @@ class EventTriggerDeleteTestCase(BaseTestGenerator):
                 response = self.delete_event_trigger()
                 actual_response_code = response.status_code
                 expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete_multiple.py
index b0e3e4eca..23e64e7c9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete_multiple.py
@@ -113,7 +113,7 @@ class EventTriggerMultipleDeleteTestCase(BaseTestGenerator):
             actual_response_code = response.status_code
             expected_response_code = self.expected_data['status_code']
 
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_dependancy_dependent.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_dependancy_dependent.py
index dd9a9284e..3abf1c2eb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_dependancy_dependent.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_dependancy_dependent.py
@@ -86,7 +86,7 @@ class EventTriggerDependencyDependentTestCase(BaseTestGenerator):
             response = self.get_dependency_dependent()
             actual_response_code = response.status_code
             expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def get_dependency_dependent(self):
         """
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_functions.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_functions.py
index c4fc0572c..526469669 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_functions.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_functions.py
@@ -104,7 +104,7 @@ class EventTriggerFunctionsTestCase(BaseTestGenerator):
                 actual_response_code = response.status_code
                 expected_response_code = self.expected_data['status_code']
 
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py
index 880f3144e..7e49d19f2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py
@@ -123,7 +123,7 @@ class EventTriggerGetTestCase(BaseTestGenerator):
                 actual_response_code = response.status_code
                 expected_response_code = self.expected_data['status_code']
 
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
@@ -228,7 +228,7 @@ class EventTriggerGetNodesAndNodeTestCase(BaseTestGenerator):
                     actual_response_code = response.status_code
                     expected_response_code = self.expected_data['status_code']
 
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py
index 08b5d93a2..941e51e9e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py
@@ -115,7 +115,7 @@ class EventTriggerPutTestCase(BaseTestGenerator):
                     actual_response_code = response.status_code
                     expected_response_code = self.expected_data['status_code']
 
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_sql.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_sql.py
index 0b050c844..5cd75a0b0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_sql.py
@@ -122,7 +122,7 @@ class EventTriggerGetSqlTestCase(BaseTestGenerator):
                 actual_response_code = response.status_code
                 expected_response_code = self.expected_data['status_code']
 
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py
index af62ca486..6325b2442 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py
@@ -46,7 +46,7 @@ class ExtensionsAddTestCase(BaseTestGenerator):
                 self.db_id) + '/',
             data=json.dumps(self.data),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         """This function disconnect the test database and drop added extension.
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py
index 87639b539..f88e258cb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py
@@ -52,7 +52,7 @@ class ExtensionsDeleteTestCase(BaseTestGenerator):
             str(self.server_id) + '/' + str(self.db_id) +
             '/' + str(self.extension_id),
             follow_redirects=True)
-        self.assertEquals(delete_response.status_code, 200)
+        self.assertEqual(delete_response.status_code, 200)
 
     def tearDown(self):
         """This function disconnect the test database. """
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete_multiple.py
index a52a8d675..633385137 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete_multiple.py
@@ -66,7 +66,7 @@ class ExtensionsDeleteMultipleTestCase(BaseTestGenerator):
             data=json.dumps(data),
             content_type='html/json'
         )
-        self.assertEquals(delete_response.status_code, 200)
+        self.assertEqual(delete_response.status_code, 200)
 
     def tearDown(self):
         """This function disconnect the test database. """
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py
index 23efe5889..a7d37a7b7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py
@@ -48,7 +48,7 @@ class ExtensionsGetTestCase(BaseTestGenerator):
                 self.server_id) + '/' +
             str(self.db_id) + '/' + str(self.extension_id),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         """This function disconnect the test database and drop added
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_put.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_put.py
index a25870c2f..5b451e59b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_put.py
@@ -60,7 +60,7 @@ class ExtensionsPutTestCase(BaseTestGenerator):
             '/' + str(self.extension_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(put_response.status_code, 200)
+        self.assertEqual(put_response.status_code, 200)
 
     def tearDown(self):
         """This function disconnect the test database and drop added
diff --git a/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_module.py b/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_module.py
index 56e0ae636..498972290 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_module.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_module.py
@@ -78,7 +78,7 @@ class TestExternalTablesModule(BaseTestGenerator):
         manager.sversion = self.manager['sversion']
         manager.server_type = self.manager['server_type']
         module = ExternalTablesModule('something')
-        self.assertEquals(
+        self.assertEqual(
             self.expected_result,
             module.backend_supported(manager)
         )
@@ -96,6 +96,6 @@ class TestExternalTablesModule(BaseTestGenerator):
 
     def __test_template_javascript(self):
         module = ExternalTablesModule('something')
-        self.assertEquals(
+        self.assertEqual(
             self.expected_result,
             module.module_use_template_javascript)
